	PROGRAM main
	 IMPLICIT NONE

	 REAL, DIMENSION(10) :: A
	 REAL, DIMENSION(4,4) :: B
	 INTEGER i, j

	 DO i = 1, 10
	    A(i) = 100 + i
	 END DO

	 DO i = 1, 4
	    DO j = 1, 4
	       B(i, j) = j + i + 1
	    END DO
	 END DO


	 print '("Row form of A"/(10F7.2))', (A(i), i = 1, 10)
	 print *

	 print '("Table form of A"/(2F8.2) )', (A(i), i = 1, 10)
	 print *

	 print '("Matrix B"/(4F8.2) )', ((B(i, j), i = 1, 4), j = 1, 4)



	END
